/* REXX file to create a 386 HPFS boot disk for Warp Server */

CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
CALL SysLoadFuncs

/* Ask for the target drive and validate the response.  The response should  */
/* be A or B.  Keep prompting until valid input is given.                    */

msg = SysGetMessage(0, "WSB.MSG");
baddrivemsg = SysGetMessage(2, "WSB.MSG");

SAY msg

TargetDrive = Translate(SysGetKey('ECHO')) || ':'
SAY ':'

DO WHILE ( COMPARE(SUBSTR(TargetDrive,1,1),'A')) & ( COMPARE(SUBSTR(TargetDrive,1,1),'B'))
  SAY
  SAY baddrivemsg
  SAY msg
  TargetDrive = Translate(SysGetKey('ECHO')) || ':'
  SAY ':'
END

/* Ask for the Warp Server CD-ROM drive and validate the response.  Keep      */
/* prompting until valid input is given.                                      */

SAY
msg = SysGetMessage(1, "WSB.MSG");
SAY msg

WSDrive = Translate(SysGetKey('ECHO')) || ':';
SAY ':'

DO WHILE SysDriveMap(WSDrive) = '';
   SAY
   SAY baddrivemsg
   SAY msg
   WSDrive = Translate(SysGetKey('ECHO')) || ':'
   SAY ':'
END

/* Prompt the user to put the diskette in the target drive and the Warp       */
/* Server CD into the CD-ROM drive.                                           */

SAY
msg = SysGetMessage(3, "WSB.MSG", TargetDrive, WSDrive);
SAY msg
rc = SysGetKey()

/* Make sure it is the Warp Server CD in the drive by checking the volume     */
/* label.                                                                     */

SourceVolume = SUBWORD(SysDriveInfo(WSDrive),4)
DO WHILE ((COMPARE(SourceVolume,'WARP SERVER') > 0) & (COMPARE(SourceVolume,'WARP_SERVER') > 0))
   SAY
   SAY msg
   rc = SysGetKey()
END

rc = SysFileTree(WSDrive||'\DISKIMGS\DISK1.DSK', 'disk1', 'FSO')

IF disk1.0 = 0
   THEN DO
           msg = SysGetMessage(2, "OSO001.MSG");
           SAY msg WSDrive || '\DISKIMGS\...\DISK1.DSK'
           EXIT
        END

rc = SysFileTree(WSDrive||'\DISKIMGS\IMAGE.EXE', 'image', 'FSO')

IF image.0 = 0
   THEN DO
           msg = SysGetMessage(2, "OSO001.MSG");
           SAY msg WSDrive || '\DISKIMGS\...\IMAGE.EXE'
           EXIT
        END

/* Tell the user that work is in progress. */

SAY
SAY SysGetMessage(311, "HFS.MSG");

'@ECHO OFF'                             /* Turn off echoing of the commands.  */

image.1 '-f -q' disk1.1 TargetDrive     /* Build DISK 1 on the target drive.  */
'del'  TargetDrive || 'BUNDLE'          /* Make space for uhpfs.dll.          */
'copy' WSDRIVE || '\OS2IMAGE\DISK_2\UHPFS.DLL' TargetDrive
                                        /* Copy uhpfs.dll from the CD-ROM.    */
'MAKEDISK' TargetDrive '/Q'             /* Make DISK 1 into an HPFS386 boot   */
                                        /* disk.                              */
'PAUSE'                                 /* Wait for the user to read the      */
                                        /* closing message before we exit and */
                                        /* close the OS/2 session.            */
EXIT
